## GOIOContext

GOIOContext

## Functions

GOIOContext * | go_io_context_new ()
void | go_io_context_processing_file ()
void | go_io_context_set_num_files ()
void | go_io_count_progress_set ()
void | go_io_count_progress_update ()
void | go_io_error_clear ()
void | go_io_error_display ()
void | go_io_error_info_set ()
gboolean | go_io_error_occurred ()
void | go_io_error_push ()
void | go_io_error_string ()
void | go_io_error_unknown ()
void | go_io_progress_message ()
void | go_io_progress_range_pop ()
void | go_io_progress_range_push ()
void | go_io_progress_unset ()
void | go_io_progress_update ()
void | go_io_value_progress_set ()
void | go_io_value_progress_update ()
void | go_io_warning ()
gboolean | go_io_warning_occurred ()
void | go_io_warning_unknown_font ()
void | go_io_warning_unknown_function ()
void | go_io_warning_unsupported_feature ()
void | go_io_warning_varargs ()

## Types and Values

| GOIOContextClass

## Description

## Functions

### go_io_context_new ()

    GOIOContext *
    go_io_context_new (GOCmdContext *cc);

### go_io_context_processing_file ()

    void
    go_io_context_processing_file (GOIOContext *ioc,
                                   char const *uri);

#### Parameters

ioc | GOIOContext |
uri | An escaped uri (eg "foo%20bar") |

### go_io_context_set_num_files ()

    void
    go_io_context_set_num_files (GOIOContext *ioc,
                                 guint count);

### go_io_count_progress_set ()

    void
    go_io_count_progress_set (GOIOContext *io_context,
                              gint total,
                              gint step);

### go_io_count_progress_update ()

    void
    go_io_count_progress_update (GOIOContext *io_context,
                                 gint inc);

### go_io_error_clear ()

    void
    go_io_error_clear (GOIOContext *ioc);

### go_io_error_display ()

    void
    go_io_error_display (GOIOContext *ioc);

### go_io_error_info_set ()

    void
    go_io_error_info_set (GOIOContext *ioc,
                          GOErrorInfo *error);

### go_io_error_occurred ()

    gboolean
    go_io_error_occurred (GOIOContext *ioc);

### go_io_error_push ()

    void
    go_io_error_push (GOIOContext *ioc,
                      GOErrorInfo *error);

### go_io_error_string ()

    void
    go_io_error_string (GOIOContext *ioc,
                        const gchar *str);

### go_io_error_unknown ()

    void
    go_io_error_unknown (GOIOContext *ioc);

### go_io_progress_message ()

    void
    go_io_progress_message (GOIOContext *io_context,
                            const gchar *msg);

### go_io_progress_range_pop ()

    void
    go_io_progress_range_pop (GOIOContext *io_context);

### go_io_progress_range_push ()

    void
    go_io_progress_range_push (GOIOContext *io_context,
                               gdouble min,
                               gdouble max);

### go_io_progress_unset ()

    void
    go_io_progress_unset (GOIOContext *io_context);

### go_io_progress_update ()

    void
    go_io_progress_update (GOIOContext *io_context,
                           gdouble f);

### go_io_value_progress_set ()

    void
    go_io_value_progress_set (GOIOContext *io_context,
                              gint total,
                              gint step);

### go_io_value_progress_update ()

    void
    go_io_value_progress_update (GOIOContext *io_context,
                                 gint value);

### go_io_warning ()

    void
    go_io_warning (GOIOContext *ioc,
                   char const *fmt,
                   ...);

### go_io_warning_occurred ()

    gboolean
    go_io_warning_occurred (GOIOContext *ioc);

### go_io_warning_unknown_font ()

    void
    go_io_warning_unknown_font (GOIOContext *ioc,
                                char const *font_name);

### go_io_warning_unknown_function ()

    void
    go_io_warning_unknown_function (GOIOContext *ioc,
                                    char const *funct_name);

### go_io_warning_unsupported_feature ()

    void
    go_io_warning_unsupported_feature (GOIOContext *ioc,
                                       char const *feature);

### go_io_warning_varargs ()

    void
    go_io_warning_varargs (GOIOContext *ioc,
                           char const *fmt,
                           va_list args);

## Types and Values

### GOIOContextClass

    typedef struct _GOIOContextClass GOIOContextClass;